Межсайтовый скриптинг в Maia Mailguard

Дата публикации:
12.04.2011
Дата изменения:
12.04.2011
Всего просмотров:
1756
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:P/RL:O/RC:C) = Base:5/Temporal:3.9
(AV:N/AC:L/Au:N/C:N/I:P/A:N/E:P/RL:O/RC:C) = Base:5/Temporal:3.9
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
PoC код
Уязвимые продукты:
Maia Mailguard 1.x
Уязвимые версии: Maia Mailguard версии до 1.0.2b

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "charset" в сценарии xlogin.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "new_mail" в сценарии xadminusers.php и в параметре "newaddr" в сценарии wblist.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.maiamailguard.org

Решение: Установите последнюю версию 1.0.2b с сайта производителя.

Ссылки: http://www.maiamailguard.com/maia/blog/1.0.2b-released
http://www.maiamailguard.com/maia/ticket/557
http://buguroo.com/adv/Buguroo_ADV_2011-001.txt

или введите имя

CAPTCHA